﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Infragistics.Web.Mvc;

namespace igTreeGridColumnFixing.Models
{
    public class GetMyGridModel
    {
        public TreeGridModel GetMyGridModel1()
        {
            var data = new List<SimpleData>();
            data.Add(new SimpleData { PrimaryKey = "1", Column1 = "Sample Data", Children = new List<SimpleData> { new SimpleData { PrimaryKey = "11", Column1 = "Sample Child Data" } } });
            data.Add(new SimpleData { PrimaryKey = "2", Column1 = "Sample Data", Children = new List<SimpleData> { new SimpleData { PrimaryKey = "22", Column1 = "Sample Child Data" } } });
            data.Add(new SimpleData { PrimaryKey = "22", Column1 = "Sample Data", Children = new List<SimpleData> { new SimpleData { PrimaryKey = "222", Column1 = "Sample Child Data" } } });
            data.Add(new SimpleData { PrimaryKey = "21", Column1 = "Sample Data", Children = new List<SimpleData> { new SimpleData { PrimaryKey = "223", Column1 = "Sample Child Data" } } });
            data.Add(new SimpleData { PrimaryKey = "20", Column1 = "Sample Data", Children = new List<SimpleData> { new SimpleData { PrimaryKey = "224", Column1 = "Sample Child Data" } } });
            data.Add(new SimpleData { PrimaryKey = "26", Column1 = "Sample Data", Children = new List<SimpleData> { new SimpleData { PrimaryKey = "225", Column1 = "Sample Child Data" } } });
            data.Add(new SimpleData { PrimaryKey = "24", Column1 = "Sample Data", Children = new List<SimpleData> { new SimpleData { PrimaryKey = "226", Column1 = "Sample Child Data" } } });
            data.Add(new SimpleData { PrimaryKey = "23", Column1 = "Sample Data", Children = new List<SimpleData> { new SimpleData { PrimaryKey = "227", Column1 = "Sample Child Data" } } });

            var gridModel = new TreeGridModel
            {
                ID = "MyGrid",
                AutoCommit = true,
                PrimaryKey = "PrimaryKey",
                DataSource = data.AsQueryable(),
                MergeUnboundColumns = true,
                AutoGenerateColumns = false,
                RenderExpansionIndicatorColumn = true,
                ChildDataKey = "Children",
               // RenderExpandColumn = true,
                //DataSourceLayoutKey = "Children",
                InitialExpandDepth = 0,
                Width = "1000px",
               // Height = "800px"
            };
            var primaryKeyColumn = new GridColumn("PrimaryKey", "PrimaryKey", "string", "200px");
            var anotherColumn1 = new GridColumn("C1", "Column1", "string", "200px");
            var anotherColumn2 = new GridColumn("C2", "Column2", "string", "200px");
            var anotherColumn3 = new GridColumn("C3", "Column3", "string", "1200px");
            gridModel.Columns.Add(primaryKeyColumn);
            gridModel.Columns.Add(anotherColumn1);
            gridModel.Columns.Add(anotherColumn2);
            gridModel.Columns.Add(anotherColumn3);

            var columnFixing = new GridColumnFixing
            {
                Inherit = true,
                FixingDirection = ColumnFixingDirection.Left,
                ShowFixButtons = true,
            };
            var columnFixingSetting = new ColumnFixingSetting
            {
                AllowFixing = true,
                ColumnKey = "PrimaryKey",
                IsFixed = true
            };
            columnFixing.ColumnSettings.Add(columnFixingSetting);
           

            gridModel.Features.Add(columnFixing);
             var updating = new GridUpdating();
             gridModel.Features.Add(updating);

            return gridModel;
        }
        private class SimpleData
        {
            public string PrimaryKey { get; set; }

            public List<SimpleData> Children { get; set; }

            public object Column1 { get; set; }
            public object Column2 { get; set; }
            public object Column3 { get; set; }

        }

    }
}